=== debian/changelog ===
cryfs (0.10.2-5) unstable; urgency=medium

  * Add an autopkgtest for terminating options.

 -- David Steele <steele@debian.org>  Thu, 31 Dec 2020 10:02:29 -0500

cryfs (0.10.2-4) unstable; urgency=medium

  * Update autopkgtests to a more streamlined test.

 -- David Steele <steele@debian.org>  Sun, 27 Dec 2020 20:02:25 -0500

cryfs (0.10.2-3) unstable; urgency=medium

  * Remove python 2 build dependency (Closes: #942924).

 -- David Steele <steele@debian.org>  Sat, 02 Nov 2019 22:46:34 -0400

cryfs (0.10.2-2) unstable; urgency=medium

  * Fix build failure in man install.

 -- David Steele <steele@debian.org>  Wed, 30 Oct 2019 22:15:20 -0400

cryfs (0.10.2-1) unstable; urgency=medium

  * New upstream version.
    - Fixes file corruption with concurrent access.

 -- David Steele <steele@debian.org>  Sat, 14 Sep 2019 23:24:25 -0400
