=== debian/changelog ===
cryfs (0.11.1-1) unstable; urgency=medium

  * New upstream version.

 -- David Steele <steele@debian.org>  Tue, 04 Jan 2022 11:44:50 -0500
