=== debian/tests/control ===
--- 
+++ 
@@ -13,3 +13,31 @@
 # permanent transition block.
 Tests: optiontest
 Depends: @
+
+Test-Command: debian/tests/unittest blobstore
+Features: test-name=blobstore
+Depends: @
+
+Test-Command: debian/tests/unittest blockstore
+Features: test-name=blockstore
+Depends: @
+
+Test-Command: debian/tests/unittest cpp-utils
+Features: test-name=cpp-utils
+Depends: @
+
+Test-Command: debian/tests/unittest cryfs
+Features: test-name=cryfs
+Depends: @
+
+Test-Command: debian/tests/unittest cryfs-cli
+Features: test-name=cryfs-cli
+Depends: @
+
+Test-Command: debian/tests/unittest gitversion
+Features: test-name=gitversion
+Depends: @
+
+Test-Command: debian/tests/unittest parallelaccessstore
+Features: test-name=parallelaccessstore
+Depends: @
