## cryfs 0.11.2

=== debian/changelog ===
cryfs (0.11.2-5build1) kinetic; urgency=medium

  * No-change rebuild against libfmt9

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 21 Aug 2022 06:04:01 +0000

cryfs (0.11.2-5) unstable; urgency=medium

  * Potenial fix for libfmt 9.0 incompatibility (Closes: #1014684).

 -- David Steele <steele@debian.org>  Wed, 27 Jul 2022 21:25:32 -0400

cryfs (0.11.2-4) unstable; urgency=medium

  * DISABLE_ASM for armhf as well

 -- David Steele <steele@debian.org>  Mon, 28 Mar 2022 16:22:31 -0400

cryfs (0.11.2-3) unstable; urgency=medium

  * Address some armhf test failures.

 -- David Steele <steele@debian.org>  Sat, 12 Mar 2022 11:06:54 -0500

cryfs (0.11.2-2) unstable; urgency=medium

  * Harden build testing.
  * armel and armhg are building (Closes: #1006820).
  * Build tests passing on all archs (Closes: #1003679).

 -- David Steele <steele@debian.org>  Fri, 11 Mar 2022 13:20:41 -0500

cryfs (0.11.2-1) unstable; urgency=medium

  * Release 0.11.2-1
  * More changes to support armel build.

 -- David Steele <steele@debian.org>  Tue, 08 Mar 2022 12:31:15 -0500

cryfs (0.11.1-4) unstable; urgency=medium

  * Add upstream patch for cryptopp build vars.

 -- David Steele <steele@debian.org>  Mon, 07 Mar 2022 14:36:33 -0500

cryfs (0.11.1-3) unstable; urgency=medium

  * Escape the make var differently.

 -- David Steele <steele@debian.org>  Tue, 08 Feb 2022 20:37:04 -0500

cryfs (0.11.1-2) unstable; urgency=medium

  * Disable NEON on armel builds

 -- David Steele <steele@debian.org>  Tue, 08 Feb 2022 17:45:58 -0500
