=== debian/control ===
--- 
+++ 
@@ -1,9 +1,14 @@
 Source: cryfs
-Maintainer: David Steele <steele@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Steele <steele@debian.org>
 Section: utils
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                cmake,
+               dpkg-dev,
+               pkg-config,
+               librange-v3-dev,
+               libspdlog-dev,
                libcurl4-openssl-dev,
                libboost-filesystem-dev,
                libboost-system-dev,
@@ -14,7 +19,8 @@
                libssl-dev,
                libfuse-dev,
                python3-all,
-Standards-Version: 4.1.2
+Rules-Requires-Root: no
+Standards-Version: 4.6.0.1
 Vcs-Browser: https://github.com/davesteele/cryfs
 Vcs-Git: https://github.com/davesteele/cryfs.git -b debian
 Homepage: https://www.cryfs.org/
